local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
data(self, tweak_data)
--perks in all decks 2/4/6/8
local ps2 = {
	upgrades = {"weapon_passive_headshot_damage_multiplier"},
	cost = 450,
	icon_xy = {1, 0},
	name_id = "all_2",
	desc_id = "all_2_desc"}
local ps4 = {
	upgrades = {"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"},
	cost = 900,
	icon_xy = {3, 0},
	name_id = "all_4",
	desc_id = "all_4_desc"}
local ps6 = {
	upgrades = {"armor_kit",
				"player_pick_up_ammo_multiplier"},
	cost = 2000,
	icon_xy = {5, 0},
	name_id = "all_6",
	desc_id = "all_6_desc"}
local ps8 = {
	upgrades = {"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"},
	cost = 3700,
	icon_xy = {7, 0},
	name_id = "all_8",
	desc_id = "all_8_desc"}
--perk costs 1/3/5/7/9
local pc1 = 300
local pc3 = 600
local pc5 = 1550
local pc7 = 2800
local pc9 = 4700
local pdcb = "player_passive_loot_drop_multiplier"

table.insert(self.specializations,{--gazer
			name_id = "Stealthsniper_title",
			desc_id = "Stealthsniper_desc",{
			upgrades = {
			"gazer_extra_ecm",
			"gazer_armor_debuff",
			"gazer_reload_speedbuff",
			"player_marked_distance_mul",
			"gazer_pistol_reloadbuff"},
			cost = pc1,
			icon_xy = {1, 4},
			name_id = "Stealthsniper_1",
			desc_id = "Stealthsniper_1_desc"},
			ps2,{
			upgrades = {
			"gazer_deploy_speedbuff",
			"gazer_mark_timebuff",
			"gazer_longrange_tapeloop"},
			cost = pc3,
			icon_xy = {2, 0},
			name_id = "Stealthsniper_3",
			desc_id = "Stealthsniper_3_desc"},
			ps4,{
			upgrades = {
			"gazer_armor_slow",
			"gazer_lowhealth_speedbuff",
			"gazer_lowhealth_speedbuff_threshold",
			"gazer_swap_speedbuff"},
			cost = pc5,
			icon_xy = {3, 2},
			name_id = "Stealthsniper_5",
			desc_id = "Stealthsniper_5_desc"},
			ps6,{
			upgrades = {
			"gazer_ammo_buff",
			"gazer_ammo_pickup_buff",
			"gazer_assaultrifle_reload_debuff",
			"gazer_lmg_reload_debuff",
			"gazer_smg_reload_debuff",
			"gazer_shotgun_reload_debuff"},
			cost = pc7,
			icon_xy = {5, 2},
			name_id = "Stealthsniper_7",
			desc_id = "Stealthsniper_7_desc"},
			ps8,{
			upgrades = {
			"gazer_ultra_headshot_buff",
			"gazer_revive_hp_debuff",
			"gazer_heal_reduc",
			"gazer_damage_reduc",
			"gazer_dodge3",
			"gazer_instant_armor",
			pdcb},
			cost = pc9,
			icon_xy = {1, 0},
			name_id = "Stealthsniper_9",
			desc_id = "Stealthsniper_9_desc"}})
			
end